local self_ID = "Flaming Cliffs by Eagle Dynamics"
declare_plugin(self_ID,
{
image     	 = "FC3.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
displayName  = _("Flaming Cliffs 3"),

fileMenuName = _("FC3"),
update_id        = "FC3",
version		 = "1.2.5",
state		 = "installed",
info		 = _("Lock On: Flaming Cliffs 3 (FC3) is the continuation of the Flaming Cliffs series that features the F-15C, A-10A, Su-27, Su-33, MiG-29A, MiG-29S, Su-25T, and Su-25. Each aircraft provides an easy learning curve for new players and focuses on a broad range of aircraft rather than a detailed single aircraft. This 3rd version of Flaming Cliffs offers a new F-15C cockpit, improved flight dynamics, expanded combat area, new AI units, improved AI, a new F-15C campaign and a dozen single missions, and countless improvements to the series. FC3 requires an installation of Lock On: Modern Air Combat or a working copy of Flaming Cliffs or Flaming Cliffs 2."),

Skins	= 
	{
		{
			name	= "FC3",
			dir		= "Skins/1"
		},
	},
Missions =
	{
		{
			name		    = _("FC3"),
			dir			    = "Missions",
            training_ids    = {EN = 'FC3_video_EN', RU = 'FC3_video_RU',},
		},
	},
	
LogBook =
	{
		{
			name		= _("F-15C"),
			type		= "F-15C",
		},
		{
			name		= _("A-10A"),
			type		= "A-10A",
		},
		{
			name		= _("MiG-29A"),
			type		= "MiG-29A",
		},
		{
			name		= _("MiG-29G"),
			type		= "MiG-29G",
		},
		{
			name		= _("MiG-29S"),
			type		= "MiG-29S",
		},
		{
			name		= _("Su-25"),
			type		= "Su-25",
		},
		{
			name		= _("Su-27"),
			type		= "Su-27",
		},
		{
			name		= _("Su-33"),
			type		= "Su-33",
		},
	},

	--[[
Options =
	{
		{
			name		= _("FC3"),
			nameId		= "FC3",
			dir			= "Options",
			CLSID		= "{8A1FFFA5-D842-4EF8-8F65-EA9FDF40AC6E}"
		},
	},]]
	
InputProfiles =
{
    ["a-10a"] = current_mod_path .. '/Input/a-10a',
    ["F-15C"] = current_mod_path .. '/Input/f-15c',
    ["mig-29"] = current_mod_path .. '/Input/mig-29',
    ["mig-29c"] = current_mod_path .. '/Input/mig-29c',
    ["mig-29g"] = current_mod_path .. '/Input/mig-29g',
    ["su-25"] = current_mod_path .. '/Input/su-25',
    ["su-27"] = current_mod_path .. '/Input/su-27',
    ["su-33"] = current_mod_path .. '/Input/su-33',
},

binaries 	 =
{
'FC3',
'A10A',
},


})
----------------------------------------------------------------------------------------

--mount_vfs_texture_path("Bazar/World/textures/CockpitsPlatinumBMP")
--mount_vfs_texture_path("Bazar/World/textures/CockpitsTextures")
mount_vfs_texture_path("Bazar/World/textures/CockpitsHDTextures")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F-15C-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/A-10A-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/SU-25-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/SU-27S-CPT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")

make_flyable('A-10A'	, current_mod_path..'/Cockpit/A10A/', {self_ID,'A10A',old = true}, current_mod_path..'/Comm/A-10A.lua')
make_flyable('F-15C'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/F-15C.lua')
make_flyable('MiG-29A'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29A.lua')
make_flyable('MiG-29G'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29G.lua')
make_flyable('MiG-29S'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/MiG-29S.lua')
make_flyable('Su-25'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/Su-25.lua')
make_flyable('Su-27'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/Su-27.lua')
make_flyable('Su-33'	, current_mod_path..'/Cockpit/KneeboardLeft/', nil, current_mod_path..'/Comm/Su-33.lua')
----------------------------------------------------------------------------------------
plugin_done()
